View Issue Details

IDProjectCategoryView StatusLast Update
0016877CentOS-8centos-releasepublic2020-01-02 15:31
Reporterdowdle 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.0.1905 
Target VersionFixed in Version 
Summary0016877: centos-release provided /etc/os-release file missing info needed to resolve modular platform ID
DescriptionNeal Gompa recently built livecd-tools for EPEL8/EPEL8PLAYGROUND which provides livecd-creator. I'm trying to use livecd-creator (which I'm very familiar with from EL7 and Fedora) to build CentOS 8 remixes but it is unable to resolve all of the modular dependencies and fails. See attached file for error listing.

According to Neal, the /etc/os-release file provided by the centos-release package is missing some file that is needed to auto-discover the modular release ID... which he says is CentOS specific.

Hopefully after filing this bug report I can get Neal to add some additional details as to what the problem is and how it can be fixed. I believe it is a non-code, one liner... and if I knew what it was, I'd submit a patch myself.
Steps To ReproduceTry to use livecd-creator to build live media.
Tags8.0

Activities

dowdle

dowdle

2019-12-30 19:35

reporter  

livecd-creator-error-el8.txt (11,106 bytes)
Detection of Platform Module failed: No valid Platform ID detected
Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:el8) needed by module virt:rhel:8000020191008172116:55190bc5-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:el8) needed by module squid:4:8000020191007203515:55190bc5-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:el8) needed by module satellite-5-client:1.0:8000020190805010131:55190bc5-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:el8) needed by module rust-toolset:rhel8:8000020191018210639:398d3bdb-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:el8) needed by module ruby:2.5:8000020190804224443:55190bc5-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:el8) needed by module rhn-tools:1.0:8000020190628155147:6ec19280-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:el8) needed by module python36:3.6:8000020190628155122:593c47b3-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:el8) needed by module python27:2.7:8000020191008200351:c0efe978-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:el8) needed by module php:7.2:8000020190628155007:ad195792-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:el8) needed by module mariadb:10.3:8000020190628154749:55190bc5-0.x86_64
 Problem 11: conflicting requests
  - nothing provides module(platform:el8) needed by module llvm-toolset:rhel8:8000020190801232356:55190bc5-0.x86_64
 Problem 12: conflicting requests
  - nothing provides module(platform:el8) needed by module inkscape:0.92.3:8000020190628020723:4148dfdf-0.x86_64
 Problem 13: conflicting requests
  - nothing provides module(platform:el8) needed by module idm:client:8000020190628154633:27f2b478-0.x86_64
 Problem 14: conflicting requests
  - nothing provides module(platform:el8) needed by module httpd:2.4:8000020191007212342:55190bc5-0.x86_64
 Problem 15: conflicting requests
  - nothing provides module(platform:el8) needed by module go-toolset:rhel8:8000020191008192251:b9255456-0.x86_64
 Problem 16: conflicting requests
  - nothing provides module(platform:el8) needed by module freeradius:3.0:8000020190628020723:75ec4169-0.x86_64
 Problem 17: conflicting requests
  - nothing provides module(platform:el8) needed by module container-tools:rhel8:8000020191008205815:2ffa3d27-0.x86_64
 Problem 18: conflicting requests
  - nothing provides module(platform:el8) needed by module container-tools:rhel8:8010020191119225221:4985cc55-0.x86_64
 Problem 19: conflicting requests
  - nothing provides module(platform:el8) needed by module freeradius:3.0:8010020191113213143:16b3ab4d-0.x86_64
 Problem 20: conflicting requests
  - nothing provides module(platform:el8) needed by module go-toolset:rhel8:8010020191119053516:ccff3eb7-0.x86_64
 Problem 21: conflicting requests
  - nothing provides module(platform:el8) needed by module httpd:2.4:8010020191223202455:cdc1202b-0.x86_64
 Problem 22: conflicting requests
  - nothing provides module(platform:el8) needed by module idm:client:8010020191204051924:a0b73924-0.x86_64
 Problem 23: conflicting requests
  - nothing provides module(platform:el8) needed by module inkscape:0.92.3:8010020191114035820:141815db-0.x86_64
 Problem 24: conflicting requests
  - nothing provides module(platform:el8) needed by module llvm-toolset:rhel8:8010020191115015826:cdc1202b-0.x86_64
 Problem 25: conflicting requests
  - nothing provides module(platform:el8) needed by module mariadb:10.3:8010020191115015915:cdc1202b-0.x86_64
 Problem 26: conflicting requests
  - nothing provides module(platform:el8) needed by module php:7.2:8010020191114034540:2430b045-0.x86_64
 Problem 27: conflicting requests
  - nothing provides module(platform:el8) needed by module python27:2.7:8010020191115220249:51c94b97-0.x86_64
 Problem 28: conflicting requests
  - nothing provides module(platform:el8) needed by module python36:3.6:8010020191115015851:a920e634-0.x86_64
 Problem 29: conflicting requests
  - nothing provides module(platform:el8) needed by module rhn-tools:1.0:8010020191114034948:f69d1239-0.x86_64
 Problem 30: conflicting requests
  - nothing provides module(platform:el8) needed by module ruby:2.5:8010020191115015821:cdc1202b-0.x86_64
 Problem 31: conflicting requests
  - nothing provides module(platform:el8) needed by module rust-toolset:rhel8:8010020191115015925:19f7a0a2-0.x86_64
 Problem 32: conflicting requests
  - nothing provides module(platform:el8) needed by module satellite-5-client:1.0:8010020191114035551:cdc1202b-0.x86_64
 Problem 33: conflicting requests
  - nothing provides module(platform:el8) needed by module squid:4:8010020191113194838:cdc1202b-0.x86_64
 Problem 34: conflicting requests
  - nothing provides module(platform:el8) needed by module virt:rhel:8010020191121180828:cdc1202b-0.x86_64
 Problem 35: conflicting requests
  - nothing provides module(platform:el8) needed by module varnish:6:8000020190628155328:55190bc5-0.x86_64
 Problem 36: conflicting requests
  - nothing provides module(platform:el8) needed by module swig:3.0:8000020190628020724:55190bc5-0.x86_64
 Problem 37: conflicting requests
  - nothing provides module(platform:el8) needed by module subversion:1.10:8000020191008161224:445c7299-0.x86_64
 Problem 38: conflicting requests
  - nothing provides module(platform) needed by module scala:2.10:8000020190628155238:1b2b4421-0.x86_64
 Problem 39: conflicting requests
  - nothing provides module(platform:el8) needed by module redis:5:8000020190628155135:55190bc5-0.x86_64
 Problem 40: conflicting requests
  - nothing provides module(platform:el8) needed by module postgresql:10:8000020190628020724:55190bc5-0.x86_64
 Problem 41: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-YAML:1.24:8010020191114031501:a5949e2e-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-YAML:1.24:8010020191114031501:be2e4737-0.x86_64
 Problem 42: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-FCGI:0.78:8010020191114031513:16b3ab4d-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-FCGI:0.78:8010020191114031513:e1f37755-0.x86_64
 Problem 43: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBI:1.641:8010020191113222731:16b3ab4d-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBI:1.641:8010020191113222731:e1f37755-0.x86_64
 Problem 44: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-SQLite:1.58:8010020191114033549:073fa5fe-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-SQLite:1.58:8010020191114033549:e74546ca-0.x86_64
 Problem 45: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-Pg:3.7:8010020191114005703:0d1d6681-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-Pg:3.7:8010020191114005703:44cf19a9-0.x86_64
 Problem 46: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-MySQL:4.046:8010020191114030811:073fa5fe-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-MySQL:4.046:8010020191114030811:e74546ca-0.x86_64
 Problem 47: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-App-cpanminus:1.7044:8010020191120175858:95fce66d-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-App-cpanminus:1.7044:8010020191120175858:a9207fc6-0.x86_64
 Problem 48: conflicting requests
  - nothing provides module(platform:el8) needed by module perl:5.26:8000020190628020724:55190bc5-0.x86_64
 Problem 49: conflicting requests
  - nothing provides module(platform:el8) needed by module nodejs:10:8000020191007212731:55190bc5-0.x86_64
 Problem 50: conflicting requests
  - nothing provides module(platform:el8) needed by module nginx:1.14:8000020191007205758:55190bc5-0.x86_64
 Problem 51: conflicting requests
  - nothing provides module(platform:el8) needed by module mysql:8.0:8000020191007200700:55190bc5-0.x86_64
 Problem 52: conflicting requests
  - nothing provides module(platform:el8) needed by module mercurial:4.8:8000020190628020724:4148dfdf-0.x86_64
 Problem 53: conflicting requests
  - nothing provides module(platform:el8) needed by module maven:3.5:8000020190628154801:b07bea58-0.x86_64
 Problem 54: conflicting requests
  - nothing provides module(platform:el8) needed by module mailman:2.1:8000020190628154736:4148dfdf-0.x86_64
 Problem 55: conflicting requests
  - nothing provides module(platform) needed by module javapackages-runtime:201801:8000020190628020723:278695df-0.x86_64
 Problem 56: conflicting requests
  - nothing provides module(platform:el8) needed by module gimp:2.8:8000020190628145146:4148dfdf-0.x86_64
 Problem 57: conflicting requests
  - nothing provides module(platform) needed by module ant:1.10:8000020190628020723:f7e686af-0.x86_64
 Problem 58: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-App-cpanminus:1.7044:8000020190628154402:9ff7d29e-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-App-cpanminus:1.7044:8000020190628154402:63feaccd-0.x86_64
 Problem 59: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-MySQL:4.046:8000020190628154416:a50016cf-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-MySQL:4.046:8000020190628154416:9c5d5e18-0.x86_64
 Problem 60: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-Pg:3.7:8000020190628020723:6ce0b5f7-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-Pg:3.7:8000020190628020723:575b39c5-0.x86_64
 Problem 61: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBD-SQLite:1.58:8000020190628154441:a50016cf-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBD-SQLite:1.58:8000020190628154441:9c5d5e18-0.x86_64
 Problem 62: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-DBI:1.641:8000020190628020723:a7fbf8fd-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-DBI:1.641:8000020190628020723:75ec4169-0.x86_64
 Problem 63: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-FCGI:0.78:8000020190628020724:a7fbf8fd-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-FCGI:0.78:8000020190628020724:75ec4169-0.x86_64
 Problem 64: conflicting requests
  - nothing provides module(platform:el8) needed by module perl-YAML:1.24:8000020190628014727:eb34294f-0.x86_64
  - nothing provides module(platform:el8) needed by module perl-YAML:1.24:8000020190628014727:b9186a2a-0.x86_64
Error creating Live CD : Failed to find package 'python2-numpy' : no package matched: python2-numpy

ngompa

ngompa

2019-12-30 19:38

reporter   ~0035920

The actual issue is that centos-release is missing a Provides line in its spec file:

Provides: base-module(platform:el%{full_release_version})

This line exists in Fedora's release package, which allows DNF to auto-discover the modular platform ID when /etc/os-release isn't installed yet.
dowdle

dowdle

2019-12-31 00:18

reporter   ~0035922

ngompa: Ah, so it is totally a metadata issue. Thanks for the clarification. I'd really love that fix to be applied and to see if it indeed makes it possible for me to build remixed live-media again. I appreciate all of your and everyone else's efforts towards the resolution of this issue.
arrfab

arrfab

2019-12-31 08:48

administrator   ~0035923

That sounds like the first issue I had when I initially tried to build a live iso image
Then I gave it a try with lorax/livemedia-creator and same kickstart worked fine to build a bootable live .iso.
The issue was then while it booted, liveinst from anaconda had traceback when trying to install to disk, making the produced .iso useless.
So we can solve the issue for livecd-tools and see if adding the Provides line works/helps (but is that even just present in rhel .spec ?) but the next step (but for another bug report) is to debug the other issue.
It was discussed on centos-devel list, but nobody volunteered to find/fix the issue, and so it was stuck there :)

Whole thread is worth reading : https://lists.centos.org/pipermail/centos-devel/2019-November/018107.html
arrfab

arrfab

2020-01-02 15:31

administrator   ~0035927

Should be fixed by following commit : https://git.centos.org/rpms/centos-release/c/89457ca3bf36c7c29d47c5d573a819dd7ee054fe?branch=c8
So that means that it will be available in 8.1.1911 release

Issue History

Date Modified Username Field Change
2019-12-30 19:35 dowdle New Issue
2019-12-30 19:35 dowdle File Added: livecd-creator-error-el8.txt
2019-12-30 19:38 ngompa Note Added: 0035920
2019-12-31 00:18 dowdle Note Added: 0035922
2019-12-31 06:09 toracat Tag Attached: 8.0
2019-12-31 08:48 arrfab Note Added: 0035923
2020-01-02 15:31 arrfab Status new => resolved
2020-01-02 15:31 arrfab Resolution open => fixed
2020-01-02 15:31 arrfab Note Added: 0035927